import { IRenderer, IRenderable, ISpecification, IStackeable } from "../api";
interface RendererByChannelId {
    [channelId: string]: IRenderer;
}
export declare class MultiTargetRenderer implements IRenderer {
    renderers: RendererByChannelId;
    constructor(renderers: RendererByChannelId);
    init(): void;
    private resolve;
    appendContent(element: HTMLElement, channelId?: string): void;
    appendSuggest(element: HTMLElement, channelId?: string): void;
    render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[];
}
export {};
